
%global meadversion 5.0.3
%global namedversion 5.0.3.Final-redhat-00004
%global meadalpha .Final_redhat_00004
%global meadrel .1
%global serial 5
%global namedversionrel redhat-00004

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package picketbox}
%{!?scl:%global pkg_name %{name}}

%define maven_version 5.0.3.Final-redhat-00004

Name:           %{?scl_prefix}picketbox
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        PicketBox - Assembly
Group:          Development/Java

%if %with mead
Source100: picketbox-parent-5.0.3.Final-redhat-00004-project-sources.tar.gz
Source102: picketbox-spi-bare-5.0.3.Final-redhat-00004.jar
Source103: jbosssx-5.0.3.Final-redhat-00004-sources.jar
Source104: authorization-spi-5.0.3.Final-redhat-00004-javadoc.jar
Source105: identity-spi-5.0.3.Final-redhat-00004.jar
Source106: jbosssx-bare-5.0.3.Final-redhat-00004-sources.jar
Source107: jbosssx-bare-5.0.3.Final-redhat-00004.pom
Source108: picketbox-identity-impl-5.0.3.Final-redhat-00004.jar
Source109: jbosssx-client-5.0.3.Final-redhat-00004.jar
Source110: jboss-security-spi-5.0.3.Final-redhat-00004.pom
Source111: authorization-spi-5.0.3.Final-redhat-00004.pom
Source112: picketbox-identity-impl-5.0.3.Final-redhat-00004.pom
Source113: jbosssx-bare-5.0.3.Final-redhat-00004.jar
Source114: picketbox-acl-impl-5.0.3.Final-redhat-00004-javadoc.jar
Source115: picketbox-spi-bare-5.0.3.Final-redhat-00004.pom
Source116: picketbox-bare-5.0.3.Final-redhat-00004-sources.jar
Source117: jbosssx-5.0.3.Final-redhat-00004.jar
Source118: picketbox-identity-impl-5.0.3.Final-redhat-00004-javadoc.jar
Source119: identity-spi-5.0.3.Final-redhat-00004-sources.jar
Source120: common-spi-5.0.3.Final-redhat-00004-javadoc.jar
Source121: picketbox-spi-bare-5.0.3.Final-redhat-00004-sources.jar
Source122: authorization-spi-5.0.3.Final-redhat-00004-sources.jar
Source123: authorization-spi-5.0.3.Final-redhat-00004.jar
Source124: jbosssx-client-5.0.3.Final-redhat-00004.pom
Source125: jbosssx-bare-5.0.3.Final-redhat-00004-javadoc.jar
Source126: picketbox-bare-5.0.3.Final-redhat-00004.pom
Source127: picketbox-infinispan-5.0.3.Final-redhat-00004.pom
Source128: picketbox-5.0.3.Final-redhat-00004.pom
Source129: common-spi-5.0.3.Final-redhat-00004.pom
Source130: picketbox-acl-impl-5.0.3.Final-redhat-00004.jar
Source131: picketbox-parent-5.0.3.Final-redhat-00004.pom
Source132: picketbox-5.0.3.Final-redhat-00004-sources.jar
Source133: picketbox-infinispan-5.0.3.Final-redhat-00004-sources.jar
Source134: jbosssx-5.0.3.Final-redhat-00004.pom
Source135: picketbox-spi-bare-5.0.3.Final-redhat-00004-javadoc.jar
Source136: jbosssx-pom-5.0.3.Final-redhat-00004.pom
Source137: picketbox-acl-impl-5.0.3.Final-redhat-00004.pom
Source138: jbosssx-client-5.0.3.Final-redhat-00004-sources.jar
Source139: picketbox-infinispan-5.0.3.Final-redhat-00004.jar
Source140: picketbox-infinispan-5.0.3.Final-redhat-00004-javadoc.jar
Source141: picketbox-spi-pom-5.0.3.Final-redhat-00004.pom
Source142: picketbox-5.0.3.Final-redhat-00004.jar
Source143: identity-spi-5.0.3.Final-redhat-00004-javadoc.jar
Source144: acl-spi-5.0.3.Final-redhat-00004.jar
Source145: jboss-security-spi-5.0.3.Final-redhat-00004-sources.jar
Source146: jboss-security-spi-5.0.3.Final-redhat-00004.jar
Source147: picketbox-acl-impl-5.0.3.Final-redhat-00004-sources.jar
Source148: acl-spi-5.0.3.Final-redhat-00004.pom
Source149: acl-spi-5.0.3.Final-redhat-00004-javadoc.jar
Source150: picketbox-identity-impl-5.0.3.Final-redhat-00004-sources.jar
Source151: common-spi-5.0.3.Final-redhat-00004-sources.jar
Source152: identity-spi-5.0.3.Final-redhat-00004.pom
Source153: acl-spi-5.0.3.Final-redhat-00004-sources.jar
Source154: picketbox-bare-5.0.3.Final-redhat-00004.jar
Source155: picketbox-parent-5.0.3.Final-redhat-00004-javadoc.jar
Source156: common-spi-5.0.3.Final-redhat-00004.jar
Source157: picketbox-bare-5.0.3.Final-redhat-00004-javadoc.jar
%endif

License:        LGPLv2+
URL:            http://jboss.org/picketbox
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
PicketBox is a security framework for Java Applications.

%package -n %{?scl_prefix}picketbox-common-spi
Summary:        PicketBox Common SPI
Group:          Development/Java

Provides:       %{?scl_prefix}common-spi = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketbox-common-spi
PicketBox is a security project for Java Applications.

%package -n %{?scl_prefix}picketbox-identity-spi
Summary:        PicketBox Identity SPI
Group:          Development/Java

Provides:       %{?scl_prefix}identity-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-common-spi = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketbox-identity-spi
PicketBox is a security project for Java Applications.

%package -n %{?scl_prefix}picketbox-authorization-spi
Summary:        PicketBox Authorization SPI
Group:          Development/Java

Provides:       %{?scl_prefix}authorization-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-common-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-identity-spi = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketbox-authorization-spi
PicketBox is a security project for Java Applications.

%package -n %{?scl_prefix}picketbox-acl-spi
Summary:        PicketBox Access Control List SPI
Group:          Development/Java

Requires:       %{?scl_prefix}picketbox-identity-spi = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}acl-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-authorization-spi = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketbox-acl-spi
PicketBox is a security project for Java applications.

%package -n %{?scl_prefix}picketbox-spi-bare
Summary:        Picketbox SPI
Group:          Development/Java

Requires:       %{?scl_prefix}picketbox-common-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-identity-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-authorization-spi = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketbox-spi-bare
The SPI Bare contains the SPI excluding the Authorization SPI.

%package -n %{?scl_prefix}jboss-security-spi
Summary:        JBoss Security SPI - Assembly
Group:          Development/Java


%description -n %{?scl_prefix}jboss-security-spi
PicketBox is a security project for Java Applications.

%package -n %{?scl_prefix}picketbox-identity-impl
Summary:        PicketBox Identity Implementation
Group:          Development/Java

Requires:       %{?scl_prefix}picketbox-common-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-identity-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-spi-bare = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketbox-identity-impl
PicketBox is a security project for Java Applications.

%package -n %{?scl_prefix}picketbox-acl-impl
Summary:        PicketBox ACL Implementation
Group:          Development/Java

Requires:       %{?scl_prefix}picketbox-acl-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-authorization-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-common-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-identity-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-identity-impl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketbox-acl-impl
PicketBox is a security project for Java Applications.

%package -n %{?scl_prefix}jbosssx-bare
Summary:        PicketBox implementation
Group:          Development/Java

Requires:       %{?scl_prefix}picketbox-authorization-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-common-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-identity-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-identity-impl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-acl-impl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-acl-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketbox-commons >= 0:1.0.0

%description -n %{?scl_prefix}jbosssx-bare
PicketBox is a security project for Java Applications.

%package -n %{?scl_prefix}jbosssx-client
Summary:        PicketBox Client
Group:          Development/Java


%description -n %{?scl_prefix}jbosssx-client
PicketBox Client Library.

%package -n %{?scl_prefix}jbosssx
Summary:        PicketBox Implementation - Assembly
Group:          Development/Java


%description -n %{?scl_prefix}jbosssx
PicketBox is a security framework for Java Applications.

%package -n %{?scl_prefix}picketbox-bare
Summary:        Picketbox
Group:          Development/Java

Requires:       %{?scl_prefix}picketbox-identity-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-authorization-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-acl-spi = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jbosssx-bare = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-acl-impl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketbox-identity-impl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketbox-bare
PicketBox is a cross cutting project that handles security for Java projects.

%package -n %{?scl_prefix}picketbox-infinispan
Summary:        Picketbox Infinispan
Group:          Development/Java

#Requires:       %{?scl_prefix}picketbox-spi-bare = %{epoch}:%{version}-%{release}
#Requires:       %{?scl_prefix}jbosssx-bare = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketbox-infinispan
PicketBox Infinispan adds cluster and cache capabilities to PicketBox.

%if %with javadoc
%package javadoc
Summary:        Javadoc for picketbox
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n picketbox-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/common-spi-%{namedversion}.jar %{buildroot}%{_javadir}/common-spi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/common-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/common-spi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/common-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/common-spi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/identity-spi-%{namedversion}.jar %{buildroot}%{_javadir}/identity-spi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/identity-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/identity-spi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/identity-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/identity-spi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/authorization-spi-%{namedversion}.jar %{buildroot}%{_javadir}/authorization-spi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/authorization-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/authorization-spi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/authorization-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/authorization-spi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/acl-spi-%{namedversion}.jar %{buildroot}%{_javadir}/acl-spi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/acl-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/acl-spi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/acl-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/acl-spi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketbox-spi-bare-%{namedversion}.jar %{buildroot}%{_javadir}/picketbox-spi-bare-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketbox-spi-bare-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketbox-spi-bare-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketbox-spi-bare-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketbox-spi-bare-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-security-spi-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-security-spi-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-security-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-security-spi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketbox-identity-impl-%{namedversion}.jar %{buildroot}%{_javadir}/picketbox-identity-impl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketbox-identity-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketbox-identity-impl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketbox-identity-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketbox-identity-impl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketbox-acl-impl-%{namedversion}.jar %{buildroot}%{_javadir}/picketbox-acl-impl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketbox-acl-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketbox-acl-impl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketbox-acl-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketbox-acl-impl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbosssx-bare-%{namedversion}.jar %{buildroot}%{_javadir}/jbosssx-bare-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbosssx-bare-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbosssx-bare-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbosssx-bare-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbosssx-bare-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbosssx-client-%{namedversion}.jar %{buildroot}%{_javadir}/jbosssx-client-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jbosssx-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbosssx-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbosssx-%{namedversion}.jar %{buildroot}%{_javadir}/jbosssx-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jbosssx-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbosssx-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketbox-acl-impl-%{namedversion}.jar %{buildroot}%{_javadir}/picketbox-acl-impl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketbox-acl-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketbox-acl-impl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketbox-acl-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketbox-acl-impl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketbox-bare-%{namedversion}.jar %{buildroot}%{_javadir}/picketbox-bare-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketbox-bare-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketbox-bare-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketbox-bare-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketbox-bare-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketbox-infinispan-%{namedversion}.jar %{buildroot}%{_javadir}/picketbox-infinispan-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketbox-infinispan-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketbox-infinispan-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketbox-infinispan-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketbox-infinispan-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketbox-%{namedversion}.jar %{buildroot}%{_javadir}/picketbox-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/picketbox-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketbox-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/picketbox-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/picketbox-aggregator-pom-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/picketbox-%{namedversion} -x META-INF/\*
%{__ln_s} picketbox-%{namedversion} %{buildroot}%{_javadocdir}/picketbox
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/picketbox-%{namedversion}.jar
%{_javadir}/picketbox.jar
%{_javadir}/picketbox-%{namedversion}-sources.jar
%{_javadir}/picketbox-sources.jar

%files -n %{?scl_prefix}picketbox-common-spi
%defattr(0644,root,root,0755)
%{_javadir}/common-spi-%{namedversion}.jar
%{_javadir}/common-spi.jar
%if %with javadoc
%{_javadir}/common-spi-%{namedversion}-javadoc.jar
%{_javadir}/common-spi-javadoc.jar
%endif
%{_javadir}/common-spi-%{namedversion}-sources.jar
%{_javadir}/common-spi-sources.jar

%files -n %{?scl_prefix}picketbox-identity-spi
%defattr(0644,root,root,0755)
%{_javadir}/identity-spi-%{namedversion}.jar
%{_javadir}/identity-spi.jar
%if %with javadoc
%{_javadir}/identity-spi-%{namedversion}-javadoc.jar
%{_javadir}/identity-spi-javadoc.jar
%endif
%{_javadir}/identity-spi-%{namedversion}-sources.jar
%{_javadir}/identity-spi-sources.jar

%files -n %{?scl_prefix}picketbox-authorization-spi
%defattr(0644,root,root,0755)
%{_javadir}/authorization-spi-%{namedversion}.jar
%{_javadir}/authorization-spi.jar
%if %with javadoc
%{_javadir}/authorization-spi-%{namedversion}-javadoc.jar
%{_javadir}/authorization-spi-javadoc.jar
%endif
%{_javadir}/authorization-spi-%{namedversion}-sources.jar
%{_javadir}/authorization-spi-sources.jar

%files -n %{?scl_prefix}picketbox-acl-spi
%defattr(0644,root,root,0755)
%{_javadir}/acl-spi-%{namedversion}.jar
%{_javadir}/acl-spi.jar
%if %with javadoc
%{_javadir}/acl-spi-%{namedversion}-javadoc.jar
%{_javadir}/acl-spi-javadoc.jar
%endif
%{_javadir}/acl-spi-%{namedversion}-sources.jar
%{_javadir}/acl-spi-sources.jar

%files -n %{?scl_prefix}picketbox-spi-bare
%defattr(0644,root,root,0755)
%{_javadir}/picketbox-spi-bare-%{namedversion}.jar
%{_javadir}/picketbox-spi-bare.jar
%if %with javadoc
%{_javadir}/picketbox-spi-bare-%{namedversion}-javadoc.jar
%{_javadir}/picketbox-spi-bare-javadoc.jar
%endif
%{_javadir}/picketbox-spi-bare-%{namedversion}-sources.jar
%{_javadir}/picketbox-spi-bare-sources.jar

%files -n %{?scl_prefix}jboss-security-spi
%defattr(0644,root,root,0755)
%{_javadir}/jboss-security-spi-%{namedversion}.jar
%{_javadir}/jboss-security-spi.jar
%{_javadir}/jboss-security-spi-%{namedversion}-sources.jar
%{_javadir}/jboss-security-spi-sources.jar

%files -n %{?scl_prefix}picketbox-identity-impl
%defattr(0644,root,root,0755)
%{_javadir}/picketbox-identity-impl-%{namedversion}.jar
%{_javadir}/picketbox-identity-impl.jar
%if %with javadoc
%{_javadir}/picketbox-identity-impl-%{namedversion}-javadoc.jar
%{_javadir}/picketbox-identity-impl-javadoc.jar
%endif
%{_javadir}/picketbox-identity-impl-%{namedversion}-sources.jar
%{_javadir}/picketbox-identity-impl-sources.jar

%files -n %{?scl_prefix}picketbox-acl-impl
%defattr(0644,root,root,0755)
%{_javadir}/picketbox-acl-impl-%{namedversion}.jar
%{_javadir}/picketbox-acl-impl.jar
%if %with javadoc
%{_javadir}/picketbox-acl-impl-%{namedversion}-javadoc.jar
%{_javadir}/picketbox-acl-impl-javadoc.jar
%endif
%{_javadir}/picketbox-acl-impl-%{namedversion}-sources.jar
%{_javadir}/picketbox-acl-impl-sources.jar

%files -n %{?scl_prefix}jbosssx-bare
%defattr(0644,root,root,0755)
%{_javadir}/jbosssx-bare-%{namedversion}.jar
%{_javadir}/jbosssx-bare.jar
%if %with javadoc
%{_javadir}/jbosssx-bare-%{namedversion}-javadoc.jar
%{_javadir}/jbosssx-bare-javadoc.jar
%endif
%{_javadir}/jbosssx-bare-%{namedversion}-sources.jar
%{_javadir}/jbosssx-bare-sources.jar

%files -n %{?scl_prefix}jbosssx-client
%defattr(0644,root,root,0755)
%{_javadir}/jbosssx-client-%{namedversion}.jar
%{_javadir}/jbosssx-client.jar
%{_javadir}/jbosssx-client-%{namedversion}-sources.jar
%{_javadir}/jbosssx-client-sources.jar

%files -n %{?scl_prefix}jbosssx
%defattr(0644,root,root,0755)
%{_javadir}/jbosssx-%{namedversion}.jar
%{_javadir}/jbosssx.jar
%{_javadir}/jbosssx-%{namedversion}-sources.jar
%{_javadir}/jbosssx-sources.jar

%files -n %{?scl_prefix}picketbox-bare
%defattr(0644,root,root,0755)
%{_javadir}/picketbox-bare-%{namedversion}.jar
%{_javadir}/picketbox-bare.jar
%if %with javadoc
%{_javadir}/picketbox-bare-%{namedversion}-javadoc.jar
%{_javadir}/picketbox-bare-javadoc.jar
%endif
%{_javadir}/picketbox-bare-%{namedversion}-sources.jar
%{_javadir}/picketbox-bare-sources.jar

%files -n %{?scl_prefix}picketbox-infinispan
%defattr(0644,root,root,0755)
%{_javadir}/picketbox-infinispan-%{namedversion}.jar
%{_javadir}/picketbox-infinispan.jar
%if %with javadoc
%{_javadir}/picketbox-infinispan-%{namedversion}-javadoc.jar
%{_javadir}/picketbox-infinispan-javadoc.jar
%endif
%{_javadir}/picketbox-infinispan-%{namedversion}-sources.jar
%{_javadir}/picketbox-infinispan-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/picketbox-%{namedversion}
%{_javadocdir}/picketbox
%endif

%changelog
* Tue Sep 10 2019 Permaine Cheung <pcheung@redhat.com> - 5.0.3-5.Final_redhat_00004.1
- 5.0.3.Final-redhat-00004

* Mon Sep 10 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.0.3-4.Final_redhat_3.1
- re-wrap for 7.2

* Tue Jul 24 2018 Petr Sakar <psakar@redhat.com> - 5.0.3-3.Final_redhat_2.1
- upgrade to 5.0.3.Final-redhat-2

* Mon Jun 25 2018 Yong Yang <yyang@redhat.com> - 5.0.3-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Tue Mar 20 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 5.0.3-1.Final_redhat_1.1
- upgrade to 5.0.3.Final-redhat-1

* Fri Oct 13 2017 Permaine Cheung <pcheung@redhat.com> - 5.0.2-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Tue May 23 2017 Petr Sakar <psakar@redhat.com> - 5.0.2-1.Final_redhat_1.1
- upgrade to 5.0.2.Final-redhat-1

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 5.0.1-1.Final_redhat_1.1
- upgrade to 5.0.1.Final-redhat-1

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 5.0.0-2.Beta1_redhat_1.1
- upgrade to 5.0.0.Beta1-redhat-1

* Fri Dec 16 2016 Petr Sakar <psakar@redhat.com> - 5.0.0-1.Alpha3_redhat_1.1
- upgrade to 5.0.0.Alpha3-redhat-1

* Thu Jul 28 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.9.7-1.Final_redhat_1.1
- Upgrade to 4.9.7.Final

* Mon Apr 18 2016 Petr Sakar <psakar@redhat.com> - 4.9.6-1.Final_redhat_1.1
- upgrade to 4.9.6.Final-redhat-1

* Sun Feb 21 2016 Petr Sakar <psakar@redhat.com> - 4.9.5-1.Final_redhat_1.1
- upgrade to 4.9.5.Final-redhat-1

* Wed Nov 25 2015 Petr Sakar <psakar@redhat.com> - 4.9.4-1.Final_redhat_1.1
- Upgrade to 4.9.4.Final-redhat-1

* Wed Sep 16 2015 Fernando Nasser <fnasser@redhat.com> - 4.9.3-2.Final_redhat_1.1
- Do not require subpackages not used by the EAP Server

* Fri Aug 28 2015 Neil Wallace <nwallace@redhat.com> - 4.9.3-1.Final_redhat_1.1
- Upgrade to 4.9.3.Final

* Tue Jul 14 2015 David Walluck <dwalluck@redhat.com> - 4.9.2-3.Final_redhat_1.1
- fix Requires for acl-spi

* Tue Jul 14 2015 Fernando Nasser <fnasser@redhat.com> - 4.9.2-2.Final_redhat_1.1
- Fix requires on subpackage

* Thu Jul 02 2015 David Walluck <dwalluck@redhat.com> - 4.9.2-1.Final_redhat_1.1
- fix RPM build

* Thu Jul 02 2015 David Walluck <dwalluck@redhat.com> - 4.9.2-1.Final_redhat_1.1
- release

